#include <stdio.h>
#include <stdlib.h>



int main(int argc, char *argv[]) {
	int x1,x2,y1,y2,r;
	scanf("%d %d",&x1,&y1);
	scanf("%d %d",&x2,&y2);
	if(x1==x2 || y1==y2){
		r=2;
	}
	else if(x1==x2 && y1==y2){
		r=0;
	}
	else{
		r=1;
	}
	printf("%d",r);
	return 0;
}